Bug 210164 - graphics/qgis: installs invalid shared library
Summary: graphics/qgis: installs invalid shared library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-09 11:59 UTC by Dmitry Marakasov
Modified: 2016-12-25 15:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rhurlin)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2016-06-09 11:59:20 UTC
Seems like it installs .so library built for another system:

====> Running Q/A tests (stage-qa)
Warning: 'share/qgis/python/markupsafe/_speedups.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}
ldd: /wrkdirs/usr/ports/graphics/qgis/work/stage/usr/local/share/qgis/python/markupsafe/_speedups.so: not a FreeBSD ELF shared object


file /wrkdirs/usr/ports/graphics/qgis/work/stage/usr/local/share/qgis/python/markupsafe/_speedups.so
/wrkdirs/usr/ports/graphics/qgis/work/stage/usr/local/share/qgis/python/markupsafe/_speedups.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, BuildID[sha1]=9b5633e322dbf005ad229c84bb1bf0f02caa217b, not stripped
Comment 1 Dmitry Marakasov freebsd_committer 2016-12-24 16:48:51 UTC
Ping
Comment 2 Rainer Hurling 2016-12-24 18:48:14 UTC
Hi Dimitry,

sorry, that I forgot about this PR.

It should already be done by the update to QGIS version 2.18.2, see bug # 214238 .

It would be very nice, if you could confirm this. Many thanks in advance.
Comment 3 Dmitry Marakasov freebsd_committer 2016-12-25 15:21:56 UTC
Yes, it seems to be fixed. At least no complaints from stage-qa. Thank you!